#%include perl-header.spec
#%define perl_version 5.6.1
%define perl_version      5.16.3
%define perl_prefix       /usr/local/perl5
%define perl_arch         sun4-solaris-thread-multi
%define global_perl       %{perl_prefix}/lib/%{perl_version}
%define global_perl_arch  %{global_perl}/%{perl_arch}
%define site_perl         %{perl_prefix}/lib/site_perl/%{perl_version}
%define site_perl_arch    %{site_perl}/%{perl_arch}
%define perl_binary       %{perl_prefix}/bin/perl


%define pmake_install make pure_install INSTALLARCHLIB=%{buildroot}/%{global_perl_arch} INSTALLSITEARCH=%{buildroot}/%{site_perl_arch} INSTALLPRIVLIB=%{buildroot}/%{global_perl} INSTALLSITELIB=%{buildroot}/%{site_perl} INSTALLBIN=%{buildroot}/%{perl_prefix}/bin INSTALLSCRIPT=%{buildroot}/%{perl_prefix}/bin INSTALLSITEMAN1DIR=%{buildroot}/usr/perl5/man/man1 INSTALLSITEMAN3DIR=%{buildroot}/usr/perl5/man/man3


Summary: RATS encryption module
Name: perl-module-RATSdes
Version: 4
Release: 1%{?dist}
Group: System Environment/Base
License: Rutgers University
Source: RATSdes-%{version}.tar
BuildRoot: /var/tmp/%{name}-root
Requires: perl >= %{perl_version}
Requires: openssl >= 0.9.8
BuildRequires: perl >= %{perl_version}
Buildrequires: perl(ExtUtils::MakeMaker)
BuildRequires: openssl-devel >= 0.9.8

%description

%prep
%setup -q -n RATSdes
%build
# Changed as per arichton's sherlockery
#export PATH=$PATH:/usr/bin:/usr/ccs/bin:/usr/local/gnu/bin:/opt/SUNWspro/bin
perl Makefile.PL CCFLAGS="-DOPENSSL_DES_LIBDES_COMPATIBILITY -I/usr/include -I/usr/include/openssl"
make clean 
perl Makefile.PL CCFLAGS="-DOPENSSL_DES_LIBDES_COMPATIBILITY -I/usr/include -I/usr/include/openssl"
make CCFLAGS="-DOPENSSL_DES_LIBDES_COMPATIBILITY -I/usr/include -I/usr/include/openssl"
make test CCFLAGS="-DOPENSSL_DES_LIBDES_COMPATIBILITY -I/usr/include -I/usr/include/openssl"


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{perl_prefix}
%{pmake_install} CCFLAGS="-DOPENSSL_DES_LIBDES_COMPATIBILITY -I/usr/include -I/usr/include/openssl"


%clean
rm -rf %{buildroot}

%files
%defattr(-,bin,bin)
%doc README CHANGELOG
/usr/perl5/man/*/*
%{site_perl_arch}/*
%{site_perl_arch}/vtest.pl
# %{global_perl_arch}/perllocal.pod

%changelog
* Wed Aug 14 2013 Kyle Suarez <kds124@nbcs.rutgers.edu> 4.0-1
- Upgrade to the latest version
- 'Changes' has been renamed to 'CHANGELOG'

* Mon Nov 02 2009 Jarek Sedlacek <jarek@nbcs.rutgers.edu> 3.0-1
 - Added changelog section to specfile
 - Updated to latest source
 - Changed specfile from using %{cvsdate} to %{version}
 - added -I/usr/include/openssl to CCFLAGS
